Bug 15437 - MARC21: Show $i for 780/785
Summary: MARC21: Show $i for 780/785
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 20 votes (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on: 17929
Blocks: 11223
  Show dependency treegraph
 
Reported: 2015-12-29 13:19 UTC by Katrin Fischer
Modified: 2020-11-16 21:14 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Adds $i (Relationship information) to 780 (Preceding entry) and 785 (Succeeding entry) in the OPAC and staff detail pages.
Version(s) released in:
20.11.00


Attachments
Bug 15437 MARC21: Show $i for 780/785 (1.70 KB, patch)
2016-01-19 02:33 UTC, Briana Greally
Details | Diff | Splinter Review
Bug 17437 MARC21: Show $i for 780/785 (4.95 KB, patch)
2017-01-18 21:08 UTC, Caitlin Goodger
Details | Diff | Splinter Review
Bug 17437 MARC21: Show $i for 780/785 (4.97 KB, patch)
2020-09-13 21:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15437: (follow-up) Move $i subfield display to the beginning and add OPAC (26.65 KB, patch)
2020-09-13 21:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15437: MARC21: Show $i for 780/785 (4.97 KB, patch)
2020-09-13 21:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15437: (follow-up) Move $i subfield display to the beginning and add OPAC (26.65 KB, patch)
2020-09-13 21:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15437: MARC21: Show $i for 780/785 (4.98 KB, patch)
2020-09-16 15:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 15437: (follow-up) Move $i subfield display to the beginning and add OPAC (26.68 KB, patch)
2020-09-16 15:22 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-12-29 13:19:31 UTC
The $i subfield is currently not displayed for 780/785 in MARC21 detail views.
We should display it.
Comment 1 Briana Greally 2016-01-19 02:33:19 UTC
Created attachment 46842 [details] [review]
Bug 15437 MARC21: Show $i for 780/785

To test:
Search the catalog for a book
Edit the record
Go to the '7' tab and write an entry under the '780' and/or '785' titles
Save that line should appear in the details section corresponding to whatever you wrote in the 780/785 box
Comment 2 Briana Greally 2016-01-19 02:35:34 UTC
I fixed the issue but it hasn't been styled to match the rest of the information surrounding it.
Comment 3 Caitlin Goodger 2017-01-18 21:08:59 UTC
Created attachment 59180 [details] [review]
Bug 17437 MARC21: Show $i for 780/785

Test Plan
1: Inside Administration go to MARC bibliographic framework and on the
default framework under Actions click on MARC structure
2: Search for 780 under search tag and under actions click subfields
3: Find i and click on edit.
4: Under Advanced Constraints select editor and save the changes.
5: Repeat for 785.
6: Find a Bibliograpical record and under Edit select edit record.
7: Under the 7 put values into 780 and 785. For this to work it is
dependant on the patch 17929 so that you can type into the indicators
8: When you save the changes you won't be able to see 780 or 785 on the
Bibliographical details
8: Apply the patch
9: Refresh and 780 and 785 should be there at the bottom under the
content
Comment 4 Felix Hemme 2017-04-05 11:12:53 UTC
Subfield $i is currently displayed on a new line. Wouldn't it be better to display $i in square brackets behind the subfields $a and $t? Just like field 246.
Comment 5 Katrin Fischer 2017-04-05 11:41:11 UTC
(In reply to Felix Hemme from comment #4)
> Subfield $i is currently displayed on a new line. Wouldn't it be better to
> display $i in square brackets behind the subfields $a and $t? Just like
> field 246.

With our data that looks a little odd sometimes - I wonder if it would be nicer at the beginning of the field as an 'intro'? I think we have examples for both atm.
Comment 6 Caroline Cyr La Rose 2017-09-22 19:47:32 UTC
Hi Katrin, could you provide an example of the use of $i with 780/785 fields? I have seen it used with a bunch of other fields (700, 776, etc.), but not with 780/785.
With 780/785, the relationship is generally shown by the indicators: 00 will generate "Continues: " or "Continued by:"
Comment 7 J Schmidt 2017-10-11 17:47:46 UTC
-Used Sandbox1 (ByWater)
-Koha Admin > MARC Bibliographic framework > Default framework > Actions > MARC Structure.
-780 > Actions > Subfields. 
-Found subfield i > clicked on Edit.
-Expanded advanced constraints > checkmarked the Editor box > clicked Save changes. Noticed in the area that the 780$a is hidden..... Hmmm. Left it alone.
-Go to 785 and repeat this same step with Save changes....
Go to Koha Admin > MARC bibliographic framework test. Click that. System says test is OK.
-Koha > Search the catalog > Didn't find any records.
-Went to Koha > cataloging > New from z39.50 search for vogue and ISSN: 0042-8000. Import the record with the LCCN of 08036997. Save MARC record into Koha.
add in 942-
-Prompted me to add a new item record so I did that. Saved.
-Went back to Edit bib record > Simple editor. Record number 439. 
-Went to the 780 field and was able to add in and save a subfield i information. 
-Saved the bib and was able to click SHOW MARC to see the subfield i information.
-Went to Edit bib to repeat and fill in subfield i of the 785. Saved the bib again and was able to click SHOW MARC to see the subfield i information.

I would save this passes and can be signed off off.
Comment 8 Marcel de Rooy 2017-10-13 09:19:01 UTC
Two patches, no signoff lines, wrong bug number.
Please correct
Comment 9 Katrin Fischer 2017-12-19 07:26:51 UTC
(In reply to J Schmidt from comment #7)
> -Used Sandbox1 (ByWater)
> -Koha Admin > MARC Bibliographic framework > Default framework > Actions >
> MARC Structure.
> -780 > Actions > Subfields. 
> -Found subfield i > clicked on Edit.
> -Expanded advanced constraints > checkmarked the Editor box > clicked Save
> changes. Noticed in the area that the 780$a is hidden..... Hmmm. Left it
> alone.
> -Go to 785 and repeat this same step with Save changes....
> Go to Koha Admin > MARC bibliographic framework test. Click that. System
> says test is OK.
> -Koha > Search the catalog > Didn't find any records.
> -Went to Koha > cataloging > New from z39.50 search for vogue and ISSN:
> 0042-8000. Import the record with the LCCN of 08036997. Save MARC record
> into Koha.
> add in 942-
> -Prompted me to add a new item record so I did that. Saved.
> -Went back to Edit bib record > Simple editor. Record number 439. 
> -Went to the 780 field and was able to add in and save a subfield i
> information. 
> -Saved the bib and was able to click SHOW MARC to see the subfield i
> information.
> -Went to Edit bib to repeat and fill in subfield i of the 785. Saved the bib
> again and was able to click SHOW MARC to see the subfield i information.
> 
> I would save this passes and can be signed off off.

Thx for testing! The MARC view will always work as it's generated from the visibility settings you make for your frameworks. For this patch, you need to take a look at the intranet detail page (normal view). 

I will try and find some examples for $i use in our union catalog.

Note: we should try and keep the existing patches, but add some to fix the OPAC detail page as well!
Comment 10 Katrin Fischer 2017-12-19 13:01:14 UTC
Some examples from one of our bigger databases. Some of these stem from the national serials database.


  <datafield tag="780" ind1="0" ind2="0">
    <subfield code="i">2002 darin aufgeg.</subfield>
    <subfield code="a">Der Urologe</subfield>
    <subfield code="w">074754351</subfield>

  <datafield tag="780" ind1="0" ind2="0">
    <subfield code="i">Bis Erg.-Lfg. 12 (1998) u.d.T.</subfield>
    <subfield code="a">++Kommentar zur Europäischen Union</subfield>

  <datafield tag="780" ind1="0" ind2="0">
    <subfield code="i">1. Aufl. u.d.T.</subfield>
    <subfield code="a">Kindler, Wolfgang, 1948</subfield>
    <subfield code="t">Man muss kein Held sein - aber...!</subfield>
    <subfield code="w">253671345</subfield>
  </datafield>

  <datafield tag="780" ind1="0" ind2="0">
    <subfield code="i">1984-1985 u.d.T.</subfield>
    <subfield code="t">Arbeiten und Lernen - Die Berufsbildung</subfield>
  </datafield>

  <datafield tag="785" ind1="0" ind2="0">
    <subfield code="i">12.1978 - 15.1981</subfield>
    <subfield code="a">Social science &amp; medicine. Part C, Medical economics</subfield>
    <subfield code="w">263809072</subfield>
  </datafield>
  <datafield tag="785" ind1="0" ind2="0">
    <subfield code="i">12.1978 -15.1981</subfield>
    <subfield code="a">Social science &amp; medicine. Part D, Medical geography</subfield>
    <subfield code="w">263809080</subfield>
  </datafield>
  <datafield tag="785" ind1="0" ind2="0">
    <subfield code="i">15.1981</subfield>
    <subfield code="a">Social science &amp; medicine. Part E, Medical psychology</subfield>
    <subfield code="w">263809099</subfield>
  </datafield>


It seems that $i could be almost used as a replacement for the standard label in some of these cases as it contains additional information like the time when something was absorbed, divided, changed etc.
Comment 11 Katrin Fischer 2020-09-13 21:26:45 UTC
Created attachment 110021 [details] [review]
Bug 17437 MARC21: Show $i for 780/785

Test Plan
1: Inside Administration go to MARC bibliographic framework and on the
default framework under Actions click on MARC structure
2: Search for 780 under search tag and under actions click subfields
3: Find i and click on edit.
4: Under Advanced Constraints select editor and save the changes.
5: Repeat for 785.
6: Find a Bibliograpical record and under Edit select edit record.
7: Under the 7 put values into 780 and 785. For this to work it is
dependant on the patch 17929 so that you can type into the indicators
8: When you save the changes you won't be able to see 780 or 785 on the
Bibliographical details
8: Apply the patch
9: Refresh and 780 and 785 should be there at the bottom under the
content

https://bugs.koha-community.org/show_bug.cgi?id=15437

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Katrin Fischer 2020-09-13 21:26:51 UTC
Created attachment 110022 [details] [review]
Bug 15437: (follow-up) Move $i subfield display to the beginning and add OPAC

This patch builds on Caitlin's to finish the work but keeping as
much from her code as possible.

- Finishes reindenting started in first patch
- Readds a space after the label
- Moves $i to the beginning of the field as suggested by MARC21
  documentation:
  http://www.loc.gov/marc/bibliographic/bd76x78x.html
  The data in subfield $i can be displayed preceding the other
  data contained in the field.
- Adds a span with a class around the $i so people can control
  the formatting

To test:
  - Catalog a record with 780/785 with and without $i.
  - Verify that they display nicely in staff and OPAC, $i should show.
    Also $a and $t will show (unchanged by this patch)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2020-09-13 21:27:54 UTC
Created attachment 110023 [details] [review]
Bug 15437: MARC21: Show $i for 780/785

Test Plan
1: Inside Administration go to MARC bibliographic framework and on the
default framework under Actions click on MARC structure
2: Search for 780 under search tag and under actions click subfields
3: Find i and click on edit.
4: Under Advanced Constraints select editor and save the changes.
5: Repeat for 785.
6: Find a Bibliograpical record and under Edit select edit record.
7: Under the 7 put values into 780 and 785. For this to work it is
dependant on the patch 17929 so that you can type into the indicators
8: When you save the changes you won't be able to see 780 or 785 on the
Bibliographical details
8: Apply the patch
9: Refresh and 780 and 785 should be there at the bottom under the
content

https://bugs.koha-community.org/show_bug.cgi?id=15437

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Katrin Fischer 2020-09-13 21:28:07 UTC
Created attachment 110024 [details] [review]
Bug 15437: (follow-up) Move $i subfield display to the beginning and add OPAC

This patch builds on Caitlin's to finish the work but keeping as
much from her code as possible.

- Finishes reindenting started in first patch
- Readds a space after the label
- Moves $i to the beginning of the field as suggested by MARC21
  documentation:
  http://www.loc.gov/marc/bibliographic/bd76x78x.html
  The data in subfield $i can be displayed preceding the other
  data contained in the field.
- Adds a span with a class around the $i so people can control
  the formatting

To test:
  - Catalog a record with 780/785 with and without $i.
  - Verify that they display nicely in staff and OPAC, $i should show.
    Also $a and $t will show (unchanged by this patch)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Martin Renvoize 2020-09-16 15:22:03 UTC
Created attachment 110219 [details] [review]
Bug 15437: MARC21: Show $i for 780/785

Test Plan
1: Inside Administration go to MARC bibliographic framework and on the
default framework under Actions click on MARC structure
2: Search for 780 under search tag and under actions click subfields
3: Find i and click on edit.
4: Under Advanced Constraints select editor and save the changes.
5: Repeat for 785.
6: Find a Bibliograpical record and under Edit select edit record.
7: Under the 7 put values into 780 and 785. For this to work it is
dependant on the patch 17929 so that you can type into the indicators
8: When you save the changes you won't be able to see 780 or 785 on the
Bibliographical details
8: Apply the patch
9: Refresh and 780 and 785 should be there at the bottom under the
content

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2020-09-16 15:22:11 UTC
Created attachment 110220 [details] [review]
Bug 15437: (follow-up) Move $i subfield display to the beginning and add OPAC

This patch builds on Caitlin's to finish the work but keeping as
much from her code as possible.

- Finishes reindenting started in first patch
- Readds a space after the label
- Moves $i to the beginning of the field as suggested by MARC21
  documentation:
  http://www.loc.gov/marc/bibliographic/bd76x78x.html
  The data in subfield $i can be displayed preceding the other
  data contained in the field.
- Adds a span with a class around the $i so people can control
  the formatting

To test:
  - Catalog a record with 780/785 with and without $i.
  - Verify that they display nicely in staff and OPAC, $i should show.
    Also $a and $t will show (unchanged by this patch)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 17 Martin Renvoize 2020-09-16 15:22:35 UTC
Works perfectly.. Signing off
Comment 18 Martin Renvoize 2020-09-16 15:24:16 UTC
Going for QA here.. no regressions found.. PQA
Comment 19 Jonathan Druart 2020-09-28 14:11:06 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 20 Lucas Gass 2020-10-20 14:55:11 UTC
enhancement will not be backported to 20.05.x